/* Reset back to defaults */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Outfit;
}

/* Importing fonts */
@font-face {
  font-family: "Outfit";
  src: url("fonts/Outfit/Outfit-VariableFont_wght.ttf");
  font-display: swap;
}

html {
  transition: opacity 1000ms;
  -ms-overflow-style: none;  /* Internet Explorer 10+ */
  scrollbar-width: none;  /* Firefox */
  scroll-behavior: smooth;
}

/* Body styling */
body {
  opacity: 1;
	transition: 1s opacity;
  background: #313131;
}

.footer-page body {
  background: white;
}

.hidden {
  opacity: 0;
}

.visible {
  opacity: 1;
  transition: opacity 1s ease-out;
}

nav p {
  color: black;
}

.main-section h2 {
  color: white;
  margin: 10vw 0;
}

.white-background p,
.main-section .white-background h2 {
  color: black;
}

p {
  color: white;
}

/* Header styling */
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 90%;
  z-index: 9;
}

header,
.main-section {
  width: 90vw;
  margin: 5vw;
}

.main-section {
  padding-top: 5vw;
}

header div {
  float: left;
}

.logo {
  margin-top: 0;
}

/* Button styling */
.logo img,
.dropdown img,
.menu li {
  cursor: pointer
}

/* Navigation styling */
.dropdown {
  width: 30px;
  height: 32px;
}

.menu {
  position: absolute;
  padding: 5vw;
  opacity: 0;
  width: 100vw;
  transition: opacity 1000ms 0ms;
}

.example {
  position: relative;
}

.logo img {
  position: relative;
  width: 30px;
  height: 32px;
}

.popup {
  position: absolute;
  top: 0;
  margin: 0;
  width: 100vw;
  align-items: center;
  justify-content: center;
  overflow-y: scroll;
}

.main-header,
nav,
.container,
.open,
.button-wrapper {
  z-index: 12;
}

.button-wrapper {
  width: 30px;
  height: 32px;
  transition: width 0ms 0ms, height 0ms 0ms;
}

.open {
  display: flex;
  align-items: center;
  text-align: center;

}

.button-wrapper button {
  align-items: center;
  cursor: pointer;
  height: 32px;
  width: 30px;
  border-radius: 50%;
  opacity: 1;
  transition: opacity 1000ms 0ms, border 1000ms 0ms, width 1000ms, height 000ms;
  background-color: white;
  z-index: 12;
}

.button-wrapper .black {
  background-color: #3A3A3A;
}

/* Navigation items */
.open button,
.banner-red,
#tension-fabrics-cross,
.close button {
  z-index: 17;
}

.open,
.close {
  cursor: pointer;
  width: 30px;
  height: 32px;
  object-fit: contain;
}

.close {
  display: flex;
  align-items: center;
  text-align: center;
  position: relative;
  left: calc(100vw);
  top: 5vw;
  right: 5vw;
  z-index: 11;
  opacity: 0;
  transition: opacity 1000ms 500ms;
}

.close img {
  width: 0%;
  height: 0%;
}

ul {
  display: block;
}

.menu {
  background: white;
  overflow: hidden;  /* Hide the element content, while height = 0 */
  height: 0;
  width: 0;
  transition: height 1000ms 0ms, width 1000ms 0ms, opacity 500ms 0ms, left 1000ms 0ms;
  z-index: 2;
  position: absolute;
  top: -5vw;
  left: 100vw;
  float: right;
  display: flex;
  align-items: center;
}

.menu ul {
  padding: 10vw 10vh;
  width: 100vw;
  margin: 0;
}

.menu li {
  vertical-align: middle;
  list-style-type: none;
  display: block;
  text-align: center;
  margin: 5vh auto;
  transition: transform 1s;
}

a {
  color: black;
  text-decoration: none;
}

a .scale,
button .scale {
  transform: scale(1);
  transition: transform 0.5s;
}

a .scale:hover,
button .scale:hover {
  transform: scale(1.05);
  transition: transform 0.5s;
}

.scale,
.scale img {
  max-width: 90vw;
}

.menu li:hover {
  transform: scale(1.1);
}

.menu p {
  font-weight: bold;
  font-size: 30px;
  text-transform: uppercase;
  letter-spacing: 0.1em;
  filter: drop-shadow(0px 5px rgba(210, 210, 210, 0.5));
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: white;
  filter: drop-shadow(0px 5px rgba(0, 0, 0, 0.3));
}

.menu .current p {
  color: #C14343;
}

button {
  background: none;
  border: none;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  float: right;
  height: 32px;
}

/* Section styling */
section {
  display: flex;
  justify-content: center;
}

/* Banner styling */
#home .banner {
  margin: calc(50vh - 95.5px) 0;
}

.banner img {
  width: 183px;
  height: 194px;
}

.banner-red {
  width: 30px;
  height: 32px;
  /*position: absolute;*/
  display: none;
  transition: display 0.25s;
}

.banner-white {
  display: block;
  transition: display 0.25s;
  z-index: 1;
}

.black .banner-white {
  z-index: 13;
}

/* Main section styling */
.main-section {
  display: block;
}

/* Header 1 Styling */
h1,
.text {
  color: white;
}

h1 {
  margin-bottom: 20vw;
  line-height: 1.5em;
  text-align: center;
  font-weight: 600;
}

h1 p {
  font-size: 30px;
  line-height: 1.5em;
}

/* Body styling */
.text p {
  font-size: 20px;
  line-height: 1.5em;
  font-weight: 300;
}

/* Standard button styling */
.button-container {
  margin: 20vw 0;
  padding: 5vw 0;
  text-align: center;
}

.button,
.underlined {
  color: white;
}

.button {
  background: #C14343;
  padding: 5vw 20vw;
  filter: drop-shadow(0px 4px rgba(0, 0, 0, 0.2));
  z-index: 1;
}

/* Motto styling */
.red {
  /*color: #C14343;*/
  color: white;
}

#our-motto {
  text-align: center;
}

/* Process styling */
.process {
  padding: 2em;
  margin-top: 5vw;
  text-align: center;
  border-radius: 30px;
  min-height: 80vw;
}

/* Top image styling in process section */
.process img {
  margin: 5vw 5vw 2vw 5vw;
  width: 75px;
  height: 75px;
  margin-bottom: 5vw;
}

.process h3 {
  filter: none;
  font-size: 30px;
}

/* Heading styling in process section */
.alternative-title h2 {
  font-size: 25px;
  text-align: center;
  color: white;
  font-weight: 400;
  margin: 10vw 0;
}

/* Process paragraph styling */
.process p {
  font-size: 20px;
  font-weight: 300;
  margin: 12.5vw 5vw;
}

.services {
  margin: 20vw 0;
}

/* Our work styling */
#our-work {
  width: 100vw;
  text-align: center;
  color: white;
  min-height: unset;
  margin-left: 0;
  overflow-x: hidden;
}

#our-work p {
  margin: 15vw;
  line-height: 2em;
  font-size: 20px;
}

.work {
  width: 100%;
  height: 70vw;
  display: flex;
  align-items: center;
}

.work .overlay {
  position: absolute;
}

.arrow {
  height: 100%;
  width: 50%;
  display: inline-block;
  align-items: center;
  z-index: 4;
  position: relative;
  float: left;
  padding: calc(35vw - 16px) 5vw;
  /*top: calc(50% - 51px);*/
}

.right {
  /*left: 50%;*/
}

.left {
  left: 0;
}

.arrow img {
  position: absolute;
  /*top: -75%;*/
}

.left img,
.right img {
  cursor: pointer;
  height: 32px;
  top: calc(35vw - 16px);
}

.left img {
  left: 5vw;

  /*left: 10px;*/
}

.right img {
  right: 5vw;
  /*right: 10px;*/
}

.unpressed {
  opacity: 1;
  transition: opacity 1000ms 0ms;
}

.pressed {
  display: block;
  position: relative;
  z-index: 7;
  opacity: 0;
  transition: opacity 1000ms 0ms;
}

.left {
  /*right: 25%;*/
}

.right {
  /*left: 25%;*/
  text-align: right;
}

.examples {
  width: 400%;
  display: flex;
}

.max-width {
  width: 100vw;
}

/* Testimonials styling */
.horizontal-scroll-wrapper {
  overflow-x: scroll;
  -ms-overflow-style: none;  /* Internet Explorer 10+ */
  scrollbar-width: none;  /* Firefox */
}

.testimonials {
  width: 400%;
  display: flex;
}

.white-background {
  background: white;
  text-align: center;
  min-height: unset;
}

.white-background h1,
.white-background h2,
.white-background h3,
.white-background h4,
.white-background h5,
.white-background h6 {
  color: black;
}

.white-background h2 {
  margin-bottom: 5vw;
  font-size: 27.5px;
  padding-top: 15vw;
  font-weight: 300;
}

.circle {
  border: 1px solid #D9D9D9;
  width: 5vw;
  height: 5vw;
  border-radius: 2.5vw;
  margin: 15vw 2vw;
  display: inline-block;
}

.white-background .text {
  color: black;
  margin: 0 5vw;
}

.author {
  padding: 20vw 0;
}

.testimonial {
  display: inline-block;
  width: 25%;
  overflow-x: hidden;
  position: relative;
}

.testimonials-section .title h2 {
  filter: none;
}

.end {
  text-align: center;
}

/*#home .end {
  min-height: 80vh;
}*/

.end h2,
.end h3 {
  filter: none;
}

.end h2 {
  /*color: #C03333;*/
  color: white;
  font-size: 27.5px;
  margin-bottom: 0;
}

.end h3 {
  color: white;
  font-weight: 300;
  font-size: 22.5px;
}

.title-container {
  margin: 30vw 0;
}

.underlined {
  border-bottom: 1px solid white;
  padding-bottom: 0.25em;
  font-size: 30px;
  font-weight: 300;
}

.social {
  display: inline-block;
}

.terms-conditions {
  color: white;
  margin: 10vw 0;
  padding: 0;
}

.case-study .terms-conditions {
  margin: 10vw 0 5vw 0;
}

/*.case-study .terms-conditions {
  margin: 5vw 0;
}*/

/* Services page styling */
#services .logo {
  position: fixed;
  left: 5vw;
  top: 5vw;
  z-index: 15;
}

#services .logo img {
  position: fixed;
  left: 5vw;
  top: 5vw;
  width: 30px;
  height: 32px;
}

/*#services .main-section,*/
/*.case-study .terms-conditions {
  margin-top: 30vh;
}*/

#services .banner {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 5vw;
}

h1 {
  font-size: 40px;
  color: white;
  /*color: #E33939;*/
  font-weight: 400;
}

h2 {
  color: white;
  font-weight: 300;
  font-size: 30px;
}

h1,
h2 {
  display: block;
  text-align: center;
}

.image {
  margin: 20vw 0;
}

.image img {
  width: 100%;
}

.process-step {
  margin: 40vw 0;
  text-align: center;
}

.process-step:last-of-type {
  margin: 0;
}

.example-websites {
  margin: 20vw 0;
}

.website {
  margin-top: 5vw;
}

.example-wrapper {
  scroll-behavior: smooth;
  overflow-y: scroll;
  position: fixed;
  z-index: 3;
  top: 0;
  left: 0;
  width: 0;
  height: 0;
  margin: 0;
  transition: height 0ms 100ms, width 0ms 100ms;
}

.example-banner {
  align-items: center;
  min-width: 100vw;
  min-height: 100vh;
}

.main-logo {
  min-width: 90%;
}

.website nav {
  position: fixed;
  width: 90vw;
  margin: 5vw;
}

.website img {
  margin: 0 auto;
}

.scale .overlay {
  margin: 2.5vw;
  font-weight: 100;
  font-size: 20px;
  position: absolute;
  bottom: 0;
  width: auto;
}

#k .example,
#tension-fabrics .example {
  position: absolute;
  top: 0;
  left: 100vw;
  width: 0;
  height: 0;
  opacity: 0;
  transition: height 1000ms 0ms, width 1000ms 0ms, opacity 500ms 0ms, left 1000ms 0ms;
}

#k .banner-black,
#k .main-header .logo,
#tension-fabrics .banner-black,
#tension-fabrics .main-header .logo {
  height: 0;
  width: 0;
  z-index: 1;
}

.logo {
  width: 30px;
  height: 32px;
}

.image {
  margin: 0 auto;
  max-width: 400px;
}

.preview-wrapper .white-background {
  width: 90vw;
  height: 90vw;
  display: flex;
  align-items: center;
  text-align: center;
}

.preview-wrapper button {
  z-index: 5;
}

.website .example-section {

}

.case-study {
  display: block;
  position: relative;
  left: 0;
  top: 0;
  margin: 0;
  padding: 5vw;
  width: 100vw;
  background: #313131;

}

.work .overlay {
  height: 70vw;
  width: 100vw;
}

/*
.overlay {
  position: static;
}
*/

.overlay h1 {
  text-align: right;
  font-weight: 100;
  font-size: 20px;
  color: white;
}

.example-section {
  margin: 20vw 0;
}

.media {
  /*width: min(298px, 100vw);*/
  margin: 0 calc(30px + 5vw);
}

.media img {
  width: 100%;
}

.center {
  text-align: center;
}

.left {
  text-align: left;
}

footer .right {
  text-align: right;
}

.text {
  margin: 20vw 0;
}

.spaced p {
  line-height: 200%;
}

.small p {
  font-size: 15px;
}

.example .main-section {
  margin: 0;
}

.example .main-section h2 {
  color: white;
  /*color: #C03333;*/
  text-align: center;
}

.popup .banner-red {
  position: relative;
  left: 0;
  top: 0;
}

#home .banner-red {
  display: none;
  width: 30px;
  height: 32px;
}

/*
.process-section h2 {
  background: linear-gradient(to right, #C03333, #FF5555);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
}
*/

.process-section h2 {
  color: white;
}

.process-section h2 .white {
  background: linear-gradient(to right, #FFF, #FFF);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
}

#team .preview-wrapper {
  height: 90vw;
}

.preview-wrapper {
  margin: 5vw 0;
}

.founder {
  background: transparent;
}

.founder .profile {
  min-width: 90vw;
  min-height: 90vw;
}

.founder {
  padding: 0;
  height: auto;
  z-index: 2;
  position: relative;
}

.founder .overlay {
  width: 100%;
  height: 100%;
  background: rgb(0, 0, 0, 0.25);
  transition: background 1000ms;
  margin: 0;
  left: 0;
}

.founder-information {
  position: absolute;
  display: flex;
  align-items: center;
  top: 0;
  height: 100%;
  opacity: 0;
  transition: opacity 1000ms;
}

.founder-information .text p {
  text-align: center;
}

.founder-title {
  display: flex;
  align-items: flex-end;
  position: absolute;
  bottom: 0;
}

.founder p,
.founder h3 {
  text-align: left;
  color: white;
}

.overlay .text {
  margin: 5vw;
}

.founder h4 {
  font-size: 30px;
  font-weight: normal;
  filter: none;
}

footer {
  margin: 0 5vw;
  text-align: center;
}

header .banner-black {
  z-index: 15;
}

/* Pages with white top section styling */
.white-top h1 {
  background: linear-gradient(to right, #C03333, #E33939);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  margin-bottom: 0;
}

.white-top h2 {
  padding-top: 0;
}

.white-top h1,
.white-top h2 {
  filter: none;
}

/* Used for elements which aren't designed yet... */
.not-designed {
  border: 1px solid red;
}

/* Full length div styling */
.full-length {
  min-height: calc(100vh - 30vw - 45px); /* For the careers page */
}

.full-height {
  min-height: 100vh;
  margin-top: 0;
  display: flex;
  align-items: center;
}

.full-length .text {
  margin: 20vw 5vw;
}


/* Footer styling */
footer .image {
  width: 30px;
  height: 32px;
  margin: 0 10vw 25vw 0;
}

/*footer .right {
  float: right;
}*/

/*.title {
  margin: 5vw;
}*/

/* Contact section styling */
.contact .title {
  margin: 10vw 0 5vw 0;
  text-align: center;
}

.contact h3 {
  font-size: 25px;
}

.contact h4 {
  font-size: 15px;
}

input[type="text"],
textarea {
  background-color: transparent;
  border: 1px solid white;
  border-radius: 0.25em;
  margin: 2vw 0 5vw 0;
  padding: 3vw;
  width: 100%;
  color: white;
  font-size: 15px;
}

::-webkit-input-placeholder {
  color: #FFFFFF;
}

:-moz-placeholder {
  color: #FFFFFF;
}

::-moz-placeholder {
  color: #FFFFFF;
}

::placeholder {
  color: #FFFFFF;
  opacity: 1;
}

label {
  color: white;
}

input:focus,
textarea:focus {
  outline: 1px solid transparent;
  border: 1px solid #C14343;
}

textarea {
  resize: none;
  padding-bottom: 1em;
}

/* input[type="submit"] */
.submit-button {
  margin-top: 5vw;
  background-color: #C14343;
  color: white;
  border: 1px solid transparent;
  width: 100%;
  height: 5em;
}

.contact-info-wrapper {
  display: flex;
  align-items: center;
}

.contact-info-part {
  width: 50%;
  margin: 10vw 0;
}

.contact-info-part img {
  width: auto;
}

.contact-info {
  font-size: 10px;
}

.align {
  width: 40%;
}

.contact-method {
  display: flex;
}

.info p {
  color: white;
}

/* ... Apple auto formats phone numbers as black... */
a[x-apple-data-detectors] {
  color: inherit !important;
  text-decoration: none !important;
  font-size: inherit !important;
  font-family: inherit !important;
  font-weight: inherit !important;
  line-height: inherit !important;
}

#form-error {
  color: #C14343;
}

.left h1,
.left h2,
.left h3 {
  text-align: left;
}

.left h3 {
  display: inline-block;
  width: auto;
}

.footer-page .page-title {
  margin: 5vw;
  min-height: 70vh;
  text-align: left;
}

.footer-page .page-title h1,
.footer-page .page-title h2,
.footer-page .page-title h3 {
  background: unset;
  -webkit-text-fill-color: unset;
  -webkit-background-clip: unset;
  filter: none;
  text-align: left;
}

.footer-page .page-title h1 {
  font-weight: 600;
  font-size: 50px;
  background: unset;
  color: white; /* Unfortunately you can't use transparent here … */
  text-shadow:
	  -1px -1px 0 #383838,
		1px -1px 0 #383838,
		-1px 1px 0 #383838,
		1px 1px 0 #383838
}


@supports((text-stroke: 2px #383838) or (-webkit-text-stroke: 2px #383838)) {
    .footer-page .page-title h1 {
        color: transparent;
        -webkit-text-stroke: 1px #383838;
        /*text-stroke: 2px #383838;*/
        text-shadow: none;
    }
}

.footer-page .page-title h2,
.footer-page .page-title h3 {
  color: #383838;
}

.footer-page .page-title > *:not(:last-child) {
  padding: 0 0 20vh 0;
}

.footer-page .page-title>:last-child {
  display: inline-block;
  justify-content: left;
  /*padding-top: 10vh;*/
}

.footer-page .page-title h2 {
  font-size: 20px;
  letter-spacing: 0.1em;
  font-weight: 500;
}

.footer-page .underlined {
  font-size: 20px;
  letter-spacing: 0.1em;
  font-weight: 500;
  border-bottom: 3px solid #383838;
}

.footer-page footer {
  margin: 0;
  padding: 5vw;
  background: white;
}

.footer-page footer .right {
  margin: 0 0 5vw 0;
  width: 90vw;
}

.footer-page footer .right img {
  margin: 0 0 5vw 0;
  width: 30px;
}

.footer-page .title h3,
.footer-page .title h4 {
  filter: none;
  font-weight: bold;
  margin-bottom: 10vw;
}

.footer-page .title h3 {
  font-size: 30px;
  margin-top: 20vw;
}

.footer-page h4 {
  font-size: 20px;
}

.footer-page .white-background .text {
  margin: 0 0 10vw 0;
}

.red a {
  color: #C14343;
}

.footer-pages {
  margin: 2.5vw 0;
}

.footer-pages a,
.footer-pages button {
  display: inline-block;
  width: 49%;
}

button:hover {
  cursor: pointer;
}

.footer-pages button p {
  font-size: 16px;
}

.full-image img {
  max-height: 100%;
  max-width: 100%;
}
